Update a role

Change the specified fields with the provided values.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

role_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
namestringOptional1-255 characters
Role name
permissionsobjectOptional
Access permissions

Response

Successful Response
idstringformat: "uuid"
UUID role ID
created_atdatetime
UTC datetime
updated_atdatetime
UTC datetime
namestring>=1 character
Role name
permissionsobject
Access permissions
statusenum
record status, 'active' by default

Errors

400
Patch Roles ID Request Bad Request Error
422
Patch Roles ID Request Unprocessable Entity Error
500
Patch Roles ID Request Internal Server Error